### Interface

# Ide Gutter

#### Description

    interface Ide.Gutter : GObject.Object

No description available.

#### Prerequisite

In order to implement Gutter, your type must inherit from `GObject`.

#### Instance methods

###### ide_gutter_get_show_line_changes

No description available.

###### ide_gutter_get_show_line_diagnostics

No description available.

###### ide_gutter_get_show_line_numbers

No description available.

###### ide_gutter_get_show_relative_line_numbers

No description available.

###### ide_gutter_set_show_line_changes

No description available.

###### ide_gutter_set_show_line_diagnostics

No description available.

###### ide_gutter_set_show_line_numbers

No description available.

###### ide_gutter_set_show_relative_line_numbers

No description available.

###### ide_gutter_style_changed

No description available.

#### Properties

###### Ide.Gutter:show-line-changes

No description available.

###### Ide.Gutter:show-line-diagnostics

No description available.

###### Ide.Gutter:show-line-numbers

No description available.

###### Ide.Gutter:show-relative-line-numbers

No description available.

#### Signals

###### Ide.Gutter::style-changed

No description available.

#### Interface structure

    struct IdeGutterInterface {
      GTypeInterface parent_class;
      void (* style_changed) (
        IdeGutter* self
      );

    }

###### Interface members

`parent_class` |
    GTypeInterface
| No description available.
`style_changed` |
    void (* style_changed) (
        IdeGutter* self
      )
| No description available.

#### Virtual methods

###### Ide.Gutter.style_changed

No description available.